<?php

	$architect_architecture_custom_css= "";

	
	/*---------------First highlight color-------------------*/

	$architect_architecture_first_color = get_theme_mod('architect_architecture_first_color');

	if($architect_architecture_first_color != false){
		$architect_architecture_custom_css .='.topbar, .topbar_btn a:hover, .slider-btn a:hover, .main-navigation ul.sub-menu>li>a:before, .serach_outer, .view-all-btn a,.more-btn a,#comments input[type="submit"],#comments a.comment-reply-link,input[type="submit"],.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button,.woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt,nav.woocommerce-MyAccount-navigation ul li,.pro-button a, #preloader, #footer-2, .scrollup i, #sidebar h3, .pagination span, .pagination a, .widget_product_search button{';
			$architect_architecture_custom_css .='background-color: '.esc_attr($architect_architecture_first_color).';';
		$architect_architecture_custom_css .='}';
	}

	if($architect_architecture_first_color != false){
		$architect_architecture_custom_css .='#services-sec button.owl-dot{';
			$architect_architecture_custom_css .='background-color: '.esc_attr($architect_architecture_first_color).'!important;';
		$architect_architecture_custom_css .='}';
	}

	if($architect_architecture_first_color != false){
		$architect_architecture_custom_css .='h1,h2,h3,h4,h5,h6, a, p.site-title a, .logo h1 a, #services-sec h3, .heading-text, .post-main-box h2 a,.post-info span a,.middle-bar h6, .post-info span a, span.entry-comments, .woocommerce div.product p.price, .woocommerce div.product span.price,.woocommerce ul.products li.product .price{';
			$architect_architecture_custom_css .='color: '.esc_attr($architect_architecture_first_color).';';
		$architect_architecture_custom_css .='}';

		$architect_architecture_custom_css .='@media screen and (max-width:1000px){
				.main-navigation a:hover{';
			$architect_architecture_custom_css .='color: '.esc_attr($architect_architecture_first_color).'!important;';
		$architect_architecture_custom_css .='} }';
	}

	/*---------------Second highlight color-------------------*/

	$architect_architecture_second_color = get_theme_mod('architect_architecture_second_color');

	if($architect_architecture_second_color != false){
		$architect_architecture_custom_css .='.more-btn a:hover,input[type="submit"]:hover,#comments input[type="submit"]:hover,#comments a.comment-reply-link:hover,.pagination .current,.pagination a:hover,#footer .tagcloud a:hover,#sidebar .tagcloud a:hover,.woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover,.woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover,.widget_product_search button:hover,nav.woocommerce-MyAccount-navigation ul li:hover, .topbar_btn a,.slider-btn a, .search-box i, #services-sec hr, .woocommerce span.onsale, .toggle-nav button{';
			$architect_architecture_custom_css .='background-color: '.esc_attr($architect_architecture_second_color).';';
		$architect_architecture_custom_css .='}';
	}

	if($architect_architecture_second_color != false){
		$architect_architecture_custom_css .='#services-sec button.owl-dot.active{';
			$architect_architecture_custom_css .='background-color: '.esc_attr($architect_architecture_second_color).'!importnat;';
		$architect_architecture_custom_css .='}';
	}

	if($architect_architecture_second_color != false){
		$architect_architecture_custom_css .='p.site-description, .post-main-box:hover h2 a, .post-main-box:hover .post-info a, .single-post .post-info:hover a, #footer .textwidget a,#footer li a:hover,.post-main-box:hover h3 a,#sidebar ul li a:hover,.post-navigation a:hover .post-title, .post-navigation a:focus .post-title,.post-navigation a:hover,.post-navigation a:focus{';
			$architect_architecture_custom_css .='color: '.esc_attr($architect_architecture_second_color).';';
		$architect_architecture_custom_css .='}';
	}

	/*---------------------------Width Layout -------------------*/

	$architect_architecture_theme_lay = get_theme_mod( 'architect_architecture_width_option','Full Width');
    if($architect_architecture_theme_lay == 'Boxed'){
		$architect_architecture_custom_css .='body{';
			$architect_architecture_custom_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto;';
		$architect_architecture_custom_css .='}';
	}else if($architect_architecture_theme_lay == 'Wide Width'){
		$architect_architecture_custom_css .='body{';
			$architect_architecture_custom_css .='width: 100%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
		$architect_architecture_custom_css .='}';
	}else if($architect_architecture_theme_lay == 'Full Width'){
		$architect_architecture_custom_css .='body{';
			$architect_architecture_custom_css .='max-width: 100%;';
		$architect_architecture_custom_css .='}';
	}

	/*--------------------------- Slider Opacity -------------------*/

	$architect_architecture_theme_lay = get_theme_mod( 'architect_architecture_slider_opacity_color','0.5');
	if($architect_architecture_theme_lay == '0'){
		$architect_architecture_custom_css .='#slider img{';
			$architect_architecture_custom_css .='opacity:0';
		$architect_architecture_custom_css .='}';
		}else if($architect_architecture_theme_lay == '0.1'){
		$architect_architecture_custom_css .='#slider img{';
			$architect_architecture_custom_css .='opacity:0.1';
		$architect_architecture_custom_css .='}';
		}else if($architect_architecture_theme_lay == '0.2'){
		$architect_architecture_custom_css .='#slider img{';
			$architect_architecture_custom_css .='opacity:0.2';
		$architect_architecture_custom_css .='}';
		}else if($architect_architecture_theme_lay == '0.3'){
		$architect_architecture_custom_css .='#slider img{';
			$architect_architecture_custom_css .='opacity:0.3';
		$architect_architecture_custom_css .='}';
		}else if($architect_architecture_theme_lay == '0.4'){
		$architect_architecture_custom_css .='#slider img{';
			$architect_architecture_custom_css .='opacity:0.4';
		$architect_architecture_custom_css .='}';
		}else if($architect_architecture_theme_lay == '0.5'){
		$architect_architecture_custom_css .='#slider img{';
			$architect_architecture_custom_css .='opacity:0.5';
		$architect_architecture_custom_css .='}';
		}else if($architect_architecture_theme_lay == '0.6'){
		$architect_architecture_custom_css .='#slider img{';
			$architect_architecture_custom_css .='opacity:0.6';
		$architect_architecture_custom_css .='}';
		}else if($architect_architecture_theme_lay == '0.7'){
		$architect_architecture_custom_css .='#slider img{';
			$architect_architecture_custom_css .='opacity:0.7';
		$architect_architecture_custom_css .='}';
		}else if($architect_architecture_theme_lay == '0.8'){
		$architect_architecture_custom_css .='#slider img{';
			$architect_architecture_custom_css .='opacity:0.8';
		$architect_architecture_custom_css .='}';
		}else if($architect_architecture_theme_lay == '0.9'){
		$architect_architecture_custom_css .='#slider img{';
			$architect_architecture_custom_css .='opacity:0.9';
		$architect_architecture_custom_css .='}';
	}

	/*---------------------------Slider Content Layout -------------------*/

	$architect_architecture_theme_lay = get_theme_mod( 'architect_architecture_slider_content_option','Center');
    if($architect_architecture_theme_lay == 'Left'){
		$architect_architecture_custom_css .='#slider .carousel-caption, #slider .inner_carousel, #slider .inner_carousel h1{';
			$architect_architecture_custom_css .='text-align:left; left:10%; right:50%;';
		$architect_architecture_custom_css .='}';
	}else if($architect_architecture_theme_lay == 'Center'){
		$architect_architecture_custom_css .='#slider .carousel-caption, #slider .inner_carousel, #slider .inner_carousel h1{';
			$architect_architecture_custom_css .='text-align:center; left:30%; right:30%;';
		$architect_architecture_custom_css .='}';
	}else if($architect_architecture_theme_lay == 'Right'){
		$architect_architecture_custom_css .='#slider .carousel-caption, #slider .inner_carousel, #slider .inner_carousel h1{';
			$architect_architecture_custom_css .='text-align:right; left:50%; right:10%;';
		$architect_architecture_custom_css .='}';
	}

	/*---------------------------Slider Height ------------*/

	$architect_architecture_slider_height = get_theme_mod('architect_architecture_slider_height');
	if($architect_architecture_slider_height != false){
		$architect_architecture_custom_css .='#slider img{';
			$architect_architecture_custom_css .='height: '.esc_attr($architect_architecture_slider_height).';';
		$architect_architecture_custom_css .='}';
	}
	
	/*---------------- Button Settings ------------------*/

	$architect_architecture_button_border_radius = get_theme_mod('architect_architecture_button_border_radius');
	if($architect_architecture_button_border_radius != false){
		$architect_architecture_custom_css .='.post-main-box .more-btn a{';
			$architect_architecture_custom_css .='border-radius: '.esc_attr($architect_architecture_button_border_radius).'px;';
		$architect_architecture_custom_css .='}';
	}

	/*-------------- Copyright Alignment ----------------*/

	$architect_architecture_copyright_alingment = get_theme_mod('architect_architecture_copyright_alingment');
	if($architect_architecture_copyright_alingment != false){
		$architect_architecture_custom_css .='.copyright p{';
			$architect_architecture_custom_css .='text-align: '.esc_attr($architect_architecture_copyright_alingment).';';
		$architect_architecture_custom_css .='}';
	}

	/*------------------ Preloader Background Color  -------------------*/

	$architect_architecture_preloader_bg_color = get_theme_mod('architect_architecture_preloader_bg_color');
	if($architect_architecture_preloader_bg_color != false){
		$architect_architecture_custom_css .='#preloader{';
			$architect_architecture_custom_css .='background-color: '.esc_attr($architect_architecture_preloader_bg_color).';';
		$architect_architecture_custom_css .='}';
	}

	$architect_architecture_preloader_border_color = get_theme_mod('architect_architecture_preloader_border_color');
	if($architect_architecture_preloader_border_color != false){
		$architect_architecture_custom_css .='.loader-line{';
			$architect_architecture_custom_css .='border-color: '.esc_attr($architect_architecture_preloader_border_color).'!important;';
		$architect_architecture_custom_css .='}';
	}