<?php
/**
 * The template part for top header
 *
 * @package Architect Architecture
 * @subpackage architect-architecture
 * @since architect-architecture 1.0
 */
?>

<div class="topbar py-3 text-center text-md-start">
  <div class="container">
    <div class="row">
      <div class="col-lg-8 col-md-7 col-sm-7 align-self-center">
        <?php if( get_theme_mod('architect_architecture_faq_link') != '' || get_theme_mod('architect_architecture_faq_text') != '' ){ ?>
          <a href="<?php echo esc_url(get_theme_mod('architect_architecture_faq_link',''));?>" class=""><?php echo esc_html(get_theme_mod('architect_architecture_faq_text',''));?></a> 
        <?php }?>
        <?php if( get_theme_mod('architect_architecture_contact_link') != '' || get_theme_mod('architect_architecture_contact_text') != '' ){ ?>
          | <a href="<?php echo esc_url(get_theme_mod('architect_architecture_contact_link',''));?>" class=""><?php echo esc_html(get_theme_mod('architect_architecture_contact_text',''));?></a>
        <?php }?>
        <?php if( get_theme_mod('architect_architecture_topbar_phone_number') != '' ){ ?>
          | <span><?php echo esc_html(get_theme_mod('architect_architecture_topbar_phone_number',''));?></span>
        <?php }?>
      </div>
      <div class="col-lg-4 col-md-5 col-sm-5 align-self-center">
        <?php if( get_theme_mod('architect_architecture_topbar_timing') != '' ){ ?>
          <p class="mb-0 text-center text-md-end"><?php echo esc_html(get_theme_mod('architect_architecture_topbar_timing',''));?></p>
        <?php }?>
      </div>
    </div>
  </div>
</div>